rhino (1.7.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:32:37 +0800

rhino (1.7.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Removed 04_bug_798642_800616.diff (fixed upstream)
    - Removed the build dependency on libxmlbeans-java
    - Require a Java 6 runtime or higher
    - Use the pom from the upstream sources to install the Maven artifacts,
      and relocate the old coordinates rhino:js to org.mozilla:rhino
    - Reintroduced some removed classes and methods to preserve the backward
      compatibility and fix build failures in reverse dependencies.
    - Fixed a bug in Context.getImplementationVersion() when the project
      is built with Ant
  * Removed the transitional package rhino-doc
  * Updated the man pages (Closes: #792243)
  * Build with the DH sequencer instead of CDBS
  * Simplified the usage syntax displayed with the --help option
  * Removed the out of tree debugger classes (merged upstream)
  * Ignore the Lintian warnings on the test files (false positives)
  * Install the upstream changelog
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs
  * Track and download the new releases from GitHub
  * Converted debian/copyright to the Copyright Format 1.0
  * Removed the unused Lintian overrides

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Jan 2017 11:04:18 +0100

rhino (1.7R4-4) unstable; urgency=medium

  * Add a symlink /usr/share/java/rhino.jar which points to js.jar

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Jun 2014 13:19:15 +0200

rhino (1.7R4-3) unstable; urgency=medium

  * Team upload
  * Apply pull request https://github.com/mozilla/rhino/pull/138 to get
    798642 and 800616 bug fixed. Necessary for jscover package
  * Update the uploader list (Closes: #741281)
  * d/control: Bump Standards-Version to 3.9.5 (no changes needed).

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jun 2014 18:06:04 +0200

rhino (1.7R4-2) unstable; urgency=low

  * Upload to unstable.
   - closure-compiler FTBFS will be fixed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 17 Aug 2013 11:55:09 +0200

rhino (1.7R4-1) experimental; urgency=low

  [ Thomas Koch ]
  * New upstream version (Closes: #699352, #661277, #630341).
  * Switched packaging to Git

  [ Damien Raude-Morvan ]
  * d/copyright: Update license to MPL 2.0.
  * d/control: Bump Standards-Version to 3.9.4 (no changes needed).
  * Add lintian overrides for
    'copyright-should-refer-to-common-license-file-for-gpl'.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 16 Feb 2013 22:46:55 +0100

rhino (1.7R3-5) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Making getSourcePositionFromStack public (used by geogebra).
    Closes: #659619.

  [ Damien Raude-Morvan ]
  * Upload to unstable.
  * Remove Michael Koch from Uploaders (Closes: #654130).
  * d/control: Wrap-and-sort

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 13 Feb 2012 23:52:51 +0100

rhino (1.7R3-4) unstable; urgency=low

  * Add OSGi metadata to jar manifest
  * Add javahelper to Build-Depends:
  * Add Jakub Adam to Uploaders:

 -- Jakub Adam <jakub.adam@ktknet.cz>  Wed, 23 Nov 2011 10:21:50 +0100

rhino (1.7R3-3) unstable; urgency=low

  * Since OpenJDK{6,7} now use a mangled version of Rhino
    (in "sun.org.mozilla.rhino" package), there is no need to override
    bootclasspath :
    - Fix "Incorrect classpath prevents running on AMD64" (Closes: #649131)
    - Fix "js: Error occurred during initialization ov VM" (Closes: #649281)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 20 Nov 2011 12:15:19 +0100

rhino (1.7R3-2) unstable; urgency=low

  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 12 Jun 2011 21:56:54 +0200

rhino (1.7R3-1) experimental; urgency=low

  * New upstream release:
    - Upstream changelog <https://developer.mozilla.org/en/New_in_Rhino_1.7R3>
    - Refresh all patches.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * d/rules: replace "rm debian/tmp" by mh_clean call.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 25 May 2011 23:43:56 +0200

rhino (1.7R3~pre-2) experimental; urgency=low

  * Fix parsing of command line arguments by using quotes.
    Thanks to Chris Lamb and Chris West for bugreport and patch
    (Closes: #609965).
  * Update rhino packaging to follow latest Debian Java Policy:
    - move javadoc to a librhino-java-doc package.
    - make rhino-doc package an empty transitional package.
    - move jar/pom to a librhino-java package (which doesn't depends
      on any java runtime).
    - keep rhino interpreter in his own rhino package with a depends
      on java5-runtime.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Mar 2011 02:08:43 +0100

rhino (1.7R3~pre-1) experimental; urgency=low

  * New upstream snapshot of 1.7R3:
    - Needed by OpenJDK7 >= b126
    - d/patches/*: Refresh all patches
    - d/rules: Force version installed by mh_* tools
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Switch to 3.0 (quilt) source format

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 24 Jan 2011 19:49:04 +0100

rhino (1.7R2-4) unstable; urgency=low

  * Enable E4X support:
    - Build-Depends on libxmlbeans-java
    - Set JAR location in debian/ant.properties
    - Should fix (Closes: #567847) and (LP: #304702)
  * Bump Standards-Version to 3.8.4 (no changes needed)
  * Fix small typo in rhino-jsc manpage
  * Fix debian/copyright: don't use symlink to license

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 06 Feb 2010 21:19:47 +0100

rhino (1.7R2-3) unstable; urgency=low

  * Maven POMs:
    - debian/control: add a Build-Depends on maven-repo-helper
    - debian/rules: use mh_installpoms and mh_installjar
      to install the POM and the jar to the Maven repository
    - debian/pom.xml: Debian pom.xml file as upstream doesn't provide one
    - debian/rules: new get-orig-pom to update debian/pom.xml at new upstream
      release.
  * Bump debhelper version to >= 7
  * debian/rhino.1: Describe more precisly optimization levels and add missing
    level '-1'. Thanks to Marcus Better for notifying (Closes: #558086)
  * Remove Arnaud Vandyck from Uploaders
  * Add description to debian/patches/*.diff

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 15:18:24 +0100

rhino (1.7R2-2) unstable; urgency=low

  * Switch to Quilt patch system:
    - Refresh all patches
    - Add B-D on quilt
    - Include patchsys-quilt.mk in debian/rules
  * Bump Standards-Version to 3.8.3:
    - Add a README.source to describe patch system
  * Add a manpage for rhino-debugger script
  * Build-Depends on default-jdk instead of default-jdk-builddep
    because we don't build a native GCJ package
  * Move api documentation to /usr/share/doc/rhino/api/
  * debian/control: Improve rhino-doc package long description
  * debian/copyright: Add missing BSD licence (3 clauses) for files under
    toolsrc/org/mozilla/javascript/tools/debugger/treetable
  * Update my email address

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 02 Oct 2009 22:23:46 +0200

rhino (1.7R2-1) unstable; urgency=low

  [ Marcus Better ]
  * Updated package descriptions.

  [ Matthias Klose ]
  * (Build-)depend on default-jre-headless/-jdk.
  * Drop alternate dependencies on java2-runtime-headless and
    java2-runtime-headless. The binary package is currently built to
    require a java5 runtime.

  [ Damien Raude-Morvan ]
  * New upstream release.
    - new 02_exclude-jdk15 patch to exclude already compiled classes
      for jdk15 rebuild: gcj doesn't handle compiling classes already
      on its classpath
    - new "rhino-debugger" launcher for Rhino Debugger Swing UI
    - update "rhino" launcher to exclude OpenJDK bundled rhino (Closes: #512498)
  * debian/{postinst,prerm }: scripts should take care of errors,
    add set -e before any instruction
  * debian/rules: add new get-orig-source target using uscan
  * debian/control:
    - Build-Depends on specialized default-jdk-builddep instead of
    default-jdk
    - Bump Standards-Version to 3.8.1: Wrap Uploaders field
    - add Depends on ${misc:Depends}

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 13 Apr 2009 02:40:15 +0200

rhino (1.7R2~pre-2) experimental; urgency=low

  * Really include the debugger. Closes: #474046. 

 -- Michael Koch <konqueror@gmx.de>  Sat, 05 Apr 2008 15:03:43 +0200

rhino (1.7R2~pre-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Enable build of debugger. Closes: #474046.

 -- Michael Koch <konqueror@gmx.de>  Fri, 04 Apr 2008 10:32:47 +0200

rhino (1.7R1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Koch <konqueror@gmx.de>  Sat, 22 Mar 2008 13:49:49 +0100

rhino (1.7R1~RC3-1) experimental; urgency=low

  * New upstream version.
  * Fixed hyphen in rhino-jsc manpage.
  * Updated watch file to handle upstream RC versions.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Tue, 19 Feb 2008 11:17:45 +0100

rhino (1.6.R7-2) unstable; urgency=low

  * Fixed bashism in debian/rules. Closes: #453766.
  * Fixed names of Homepage, Vcs-Svn and Vcs-Browser fields.
  * Added myself to Uploaders.

 -- Michael Koch <konqueror@gmx.de>  Sat, 01 Dec 2007 11:56:31 +0100

rhino (1.6.R7-1) unstable; urgency=low

  * New upstream version.

 -- Marcus Better <marcus@better.se>  Thu, 11 Oct 2007 15:50:42 +0200

rhino (1.6.R5-3) unstable; urgency=low

  * Removed Wolfgang Baer from Uploaders and added myself.
  * Fixed FTBFS: java.net.ConnectException: Connection refused.
    Was trying to download xmlbeans Jar, which is not allowed. As
    this Jar is not (yet) in Debian, rhino has been built with XML
    implementation disabled.
    A bug in 1.6.R5-2 meant that it was still trying to download the
    "treetable" source. This has been fixed in debian/rules by copying the
    sample source code into the "downloaded" directory (the sample source code
    had to be modified).
    (Closes: #424466)
  * Moved "-doc" package to doc section.

 -- Paul Cager <paul-debian@home.paulcager.org>  Sun, 15 Jul 2007 00:32:12 +0100

rhino (1.6.R5-2) unstable; urgency=low

  * added java classes from a tutorial from Sun (BSD license as mentionned
    in #409629), thanks to Roktas, Filipe Lautert and Bruno Harbulot for
    filing bug, giving infos and proposed a patch (even if it's not
    used). I've just removed the 02-dont_build-toolsrc.patch. I added the
    classes examples if needed but it seems not to be the case (closes:
    #409629).

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 11 May 2007 14:07:21 +0200

rhino (1.6.R5-1) unstable; urgency=low

  * New upstream maintenance release.

 -- Matthias Klose <doko@debian.org>  Sat,  3 Feb 2007 16:46:28 +0100

rhino (1.6R2-3) unstable; urgency=low

  * debian/patches/02-dont_build-toolsrc.patch: added. Don't build toolsrc
    and xmlimplsrc because they use Sun classes to build. If you want to
    build them, just remove the file (closes: #395525).

 -- Arnaud Vandyck <avdyk@debian.org>  Mon,  6 Nov 2006 12:54:28 +0100

rhino (1.6R2-2) unstable; urgency=low

  * Changed the dependency from kaffe to java-gcj-compat.

 -- Arnaud Vandyck <avdyk@debian.org>  Sun,  5 Nov 2006 17:45:52 +0100

rhino (1.6R2-1) unstable; urgency=low

  * New upstream (closes: #350971).
  * Removed Takashi Okamoto <tora@debian.org> from uploaders (closes:
    #352992)
  * Updated Standards-Version to 3.7.2: moved debhelper and cdbs to
    Build-Depends.
  * Build with java-gcj-compat.
  * debian/copyright: updated the download url.
  * debian/watch: new file.

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 17 Jul 2006 14:50:36 +0200

rhino (1.5.R5-5) unstable; urgency=low

  * Removed explicit usage of jikes build compiler property
    for kaffe jikes -> ecj transition  

 -- Wolfgang Baer <WBaer@gmx.de>  Fri,  6 Jan 2006 18:54:28 +0100

rhino (1.5.R5-4) unstable; urgency=low

  * libant1.6-java to ant transition
  * Removed dependency on java-common
  * Added suggests to rhino-doc and other way round
  * Registered documentation with doc-base
  * Fixed lintian warning in postinst and added override
    for false positive lintian warning
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 24 Sep 2005 23:31:36 +0200

rhino (1.5.R5-3) unstable; urgency=low
  
  * Added java2-runtime to runtime choices
  * Removed build.xml workaround patch which is no longer
    needed with the current kaffe in sarge/unstable

 -- Wolfgang Baer <WBaer@gmx.de>  Wed, 13 Apr 2005 19:30:40 +0200

rhino (1.5.R5-2) unstable; urgency=low
  
  * Closes: #283651: alternative without a manpage
  * upload to main: uses kaffe,jikes to build
  * provide JavaScript compiler as rhino-jsc with manpage
  * Arnaud Vandyck <avdyk@debian.org> did sponsor this package. As a
    member of pkg-java Alioth's project, I added Wolfgang as uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Sat, 12 Feb 2005 11:56:06 +0000

rhino (1.5.R5-1) unstable; urgency=low

  * New upstream release
  * changed the build system to cdbs

 -- Arnaud Vandyck <avdyk@debian.org>  Sun, 21 Nov 2004 14:29:34 +0100

rhino (1.5.R2-2) unstable; urgency=low

  * Add alternative for /usr/bin/js. The patch is provided by Brian 
    Bassett. (Closes:#122669)

 -- Takashi Okamoto <tora@debian.org>  Sat,  8 Dec 2001 10:45:06 +0900

rhino (1.5.R2-1) unstable; urgency=low

  * Initial Release.

 -- Takashi Okamoto <tora@debian.org>  Fri, 16 Nov 2001 23:51:38 +0900
